<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
  
 
$json = file_get_contents('php://input');
$obj = json_decode($json,true);

$deviceid = $obj['deviceid'];
$clientcode=$obj['clientcode'];

 try{
// $paraimeino ='f4f8ffbef470be87'; 
if ($deviceid !="" ) {
         
    $paraquery="select branchname,branchcode from tblbranchmaster where statuscode=1 order by autonum desc"; 
    $result = pg_query($con,$paraquery);
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["branchlist"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["branchcode"] = $row["branchcode"];
                $report["branchname"] = $row["branchname"];
              
                
           
              // push single product into final response array
              array_push($response["branchlist"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
